import { ComponentTester } from './component-tester';
import { TestHtmlElement } from './test-html-element';
import { DebugElement } from '@angular/core';
/**
 * A wrapped DOM HTML input element, providing additional methods and attributes helping with writing tests
 */
export declare class TestInput extends TestHtmlElement<HTMLInputElement> {
    constructor(tester: ComponentTester<unknown>, debugElement: DebugElement);
    /**
     * Sets the value of the wrapped input, then dispatches an event of type input and triggers a change detection
     * @param value the new value of the input
     */
    fillWith(value: string): void;
    /**
     * the value of the wrapped input
     */
    get value(): string;
    /**
     * the checked property of the wrapped input
     */
    get checked(): boolean;
    /**
     * the disabled property of the wrapped input
     */
    get disabled(): boolean;
    /**
     * Checks the wrapped input, then dispatches an event of type change and triggers a change detection
     */
    check(): void;
    /**
     * Unchecks the wrapped input, then dispatches an event of type change and triggers a change detection
     */
    uncheck(): void;
}
